petsc-3.12.4 2020-02-04
Report Typos and Errors

# MatPythonSetType

Initalize a Mat object implemented in Python.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatPythonSetType(Mat mat,const char pyname[])

Collective on Mat

### Input Parameter

| mat | - the matrix (Mat) object.
| pyname | - full dotted Python name [package].module[.{class|function}]

### Options Database Key

-mat_python_type <pyname> -

### See Also

MatCreate(), MatSetType(), MATPYTHON, PetscPythonInitialize()

### Level

intermediate

### Location

src/mat/impls/python/pythonmat.c

### Examples

src/ksp/ksp/examples/tutorials/ex100.c.html
src/ksp/ksp/examples/tutorials/ex100f.F90.html
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages